layout/matrix.h File Reference

Defines layout functions used by TensorRef and derived classes. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/matrix_coord.h"`
`#include "cutlass/matrix_traits.h"`
Include dependency graph for layout/matrix.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | cutlass::layout::RowMajor
| Mapping function for row-major matrices. More...
class | cutlass::layout::ColumnMajor
| Mapping function for column-major matrices. More...
struct | cutlass::layout::RowMajorInterleaved< Interleave >
struct | cutlass::layout::ColumnMajorInterleaved< Interleave >
struct | cutlass::layout::ContiguousMatrix
struct | cutlass::layout::ColumnMajorBlockLinear< BlockRows, BlockColumns >
struct | cutlass::layout::RowMajorBlockLinear< BlockRows, BlockColumns >
struct | cutlass::layout::GeneralMatrix
struct | cutlass::layout::LayoutTranspose< Layout >
| Defines transposes of matrix layouts. More...
struct | cutlass::layout::LayoutTranspose< layout::RowMajor >
| Transpose of row-major is column-major. More...
struct | cutlass::layout::LayoutTranspose< layout::ColumnMajor >
| Transpose of column-major is row-major. More...

## Namespaces

| cutlass
| cutlass::layout

## Enumerations

enum | cutlass::layout::Matrix { cutlass::layout::Matrix::kColumnMajor, cutlass::layout::Matrix::kRowMajor }
| Enumerated type for canonical pitch-linear matrix layouts. More...

## Detailed Description

Layout functions map logical coordinates to linear memory. They often require additional data to describe strides between elements.

Layout functions must implement all members in the public interface of IdentityTensorLayout<> defined in cutlass/tensor_ref.h.